Bug 161119 - Use blacklist to lock invalid recipient addresses
Summary: Use blacklist to lock invalid recipient addresses
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.9.9
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-21 18:33 UTC by ralf@skolelinux.de
Modified: 2012-08-19 00:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ralf@skolelinux.de 2008-04-21 18:33:41 UTC
Version:           1.9.9 (using 3.5.9, Debian Package 4:3.5.9.dfsg.1-2+b1 (lenny/sid))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.22-3-k7

Problem: You are sending a mail to a colleague "Peter Meyer" and while entering "Peter M" auto completion suggests 2 or 3 addresses from history. Unfortunately, you happen to choose the one and only address that had beend canceled meanwhile and your recipient will never get your mail. 

Solution: Activley decline the old address as soon as you are told it has been abandoned: Context menu: mark as invalid. The email address gets to the blacklisted recipients' list. Now you will be warned when you try to send a mail to the old address. It will occur red (or not at all) when you use auto completion from history.

Corrolar: This way you could also avoid responding to spam senders or phishers that ask you to send them a new password...
Comment 1 Myriam Schweingruber 2012-08-18 07:50:43 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 2 Luigi Toscano 2012-08-19 00:21:34 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.